Коришћење независних пакета за развој софтвера у апликацији

Када их уградите у апликацију, независни пакети за развој софтвера могу значајно да утичу на њену компатибилност, учинак, безбедност и квалитет.

Промене у вези са независним пакетима за развој софтвера

Да би вам помогао да проверите да ли је сав софтвер независног произвођача који апликација користи у складу са Google Play смерницама програма за програмере и да ли он и на друге начине позитивно утиче на ваш кориснички доживљај, Google Play ће почети да обележава познате проблеме са популарним пакетима за развој софтвера у Play конзоли.

Да бисмо сазнали који пакет за развој софтвера апликација користи, користимо фајл са зависностима уврштен у апликацију. Фајл са зависностима наводи све верзија библиотека од којих апликација зависи. Апликације које користе Android App Bundle подразумевано пружају фајл са зависностима. Апликације направљене пре августа 2021. за објављивање са APK-овима обухватају фајл са зависностима почев од додатне компоненте за Android Gradle 4.0.

Разумевање проблема са независним пакетом за развој софтвера апликације

Ако је то примењиво, проблеми са верзијама пакета за развој софтвера које апликација користи детаљно су описани у Play конзоли у врху странице Производна верзија или на страници Преглед издања.

Ако апликација користи верзију пакета за развој софтвера која може да доведе до тога да апликација не буде у складу са Google Play смерницама програма за програмере, нова издања апликације која користе ту верзију пакета за развој софтвера могу да буду одбијена. У зависности од типа кршења смерница, бићете преусмерени тако да проверите да ли је коришћење пакета за развој софтвера у складу са смерницама за податке корисника, да пређете на другу верзију коју добављач пакета за развој софтвера препоручује уместо верзије коју имате или да уклоните пакет за развој софтвера.

Ако апликација користи верзију пакета за развој софтвера која је застарела или садржи критичне проблеме, добићете упозорење које можда захтева додатне радње. На пример, ако нас је добављач пакета за развој софтвера обавестио да је верзија пакета за развој софтвера коју апликација користи застарела, и даље можете да објавите апликацију, али нећете моћи да објавите другу верзију апликације помоћу застареле верзије пакета за развој софтвера; мораћете да користите ажурирану верзију пакета за развој софтвера. Ако апликација користи верзију пакета за развој софтвера коју је добављач пакета за развој софтвера пријавио јер има критичне проблеме, видећете упозорење које описује тип проблема, као што је описао добављач пакета за развој софтвера.

Ако имате питања о верзији пакета за развој софтвера која је застарела или има критичне проблеме, препоручујемо вам да се обратите добављачу пакета за развој софтвера.

Да ли вам је ово било корисно?
Како то можемо да побољшамо?

Треба вам додатна помоћ?

Пријавите се за додатне опције за подршку да бисте брзо решили проблем

Претрага
Обришите претрагу
Затвори претрагу
Google апликације
Главни мени
Центар за помоћ за претрагу
true
92637
false